c-------------------------------------------------------------------- 
c                          test time for pair-wise test
      PARAMETER (Ncenter = 300 000)
      common /DAT/ x(Ncenter)

      Do i=1,Ncenter
         x(i) = sin(i*3.1415926/Ncenter)
      EndDo 
      n =0

      write (*,*) ' start search',Ncenter

      Do  i=1,Ncenter-1
         xx =x(i)
                Do j=i+1,Ncenter
                   yy =x(j)
c                   write (*,*)  xx,yy,abs(yy-xx)
                   If(abs(yy-xx).lt.3.e-1)n=n+1
                EndDo 
      EndDo 

      write (*,*)  ' end n=',n

      Stop
      end
